
{{- define "logi.symphony.existingSecret" -}}
{{- if and (hasKey .Values "global") (hasKey .Values.global "logi") (hasKey .Values.global.logi "symphony") (hasKey .Values.global.logi.symphony "existingSecret") (ne .Values.global.logi.symphony.existingSecret "") -}}
{{- ((((.Values.global).logi).symphony).existingSecret) -}}
{{- else -}}
{{- "" -}}
{{- end -}}
{{- end -}}

{{- define "logi.symphony.auth.adminPassword" -}}
{{- if and (hasKey .Values "global") (hasKey .Values.global "logi") (hasKey .Values.global.logi "symphony") (hasKey .Values.global.logi.symphony "auth") (hasKey .Values.global.logi.symphony.auth "adminPassword") (ne .Values.global.logi.symphony.auth.adminPassword "") -}}
{{ (((((.Values.global).logi).symphony).auth).adminPassword) }}
{{- else -}}
{{ "" }}
{{- end }}
{{- end -}}

{{- define "logisymphonydetected" }}
{{- if (((.Values.global).logi).symphony)   -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end }}

{{- define "logi.composer.enabled" }}
{{- if and (hasKey .Values "global") (hasKey .Values.global "logi") (hasKey .Values.global.logi "symphony") (hasKey .Values.global.logi.symphony "discovery") (hasKey .Values.global.logi.symphony.discovery "enabled") (eq .Values.global.logi.symphony.discovery.enabled true) -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{- define "global.logi.symphony.managed.minimal" -}}
{{- if and (hasKey .Values "global") (hasKey .Values.global "logi") (hasKey .Values.global.logi "symphony") (hasKey .Values.global.logi.symphony "managed") (hasKey .Values.global.logi.symphony.managed "enabled") (eq .Values.global.logi.symphony.managed.enabled false) -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{- define "composer.discovery.host" -}}
{{- .Values.discoveryHost | default (printf "%s-consul-server" .Release.Name) }}
{{- end }}